%{?nodejs_find_provides_and_requires}

%global packagename orchestrator
%global enable_tests 0
# testing disabled until npm(gulp) can be built

Name:		nodejs-orchestrator
Version:	0.3.7
Release:	2%{?dist}
Summary:	A module for sequencing and executing tasks and dependencies

License:	MIT
URL:		https://github.com/robrich/orchestrator.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(end-of-stream)
BuildRequires:	npm(stream-consume)
BuildRequires:	npm(sequencify)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(vinyl-fs)
%endif

%description
A module for sequencing and executing tasks and dependencies in maximum
concurrency


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep end-of-stream


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 20 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.7-1
- Initial packaging
